#include <stdio.h>
#include "plcLicence.h"
#include "utils.h"
#include <filesystem>


#define FILEBUFFER 300
#define TWO_HOURSE_SECONDS 7200

/// @brief hlavní funkce
/// @param argc
/// @param argv parametry pro generování licence
/// 1-cid, 2-csd, 3-stanice 4-rozvadec 5-typ licence
/// @return
int main5(int argc, char *argv[])
{

  unordered_map<string, string> arguments = getArguments(argc, argv);

  PlcLicence plcWriteLicence = PlcLicence(arguments["-cid"], arguments["-csd"], arguments["-outputType"], arguments["-configFileName"]);
  if (plcWriteLicence.CreateLicence() == false)
  {
    cerr << "Licence creation failed";
  }



  return EXIT_SUCCESS;
}
